def transform_signal(x, B):
    """
        Кусочно-линейное преобразование:
        y = 0         при -B <= xi <= B
        y = xi - B     при xi > B
        y = xi + B     при xi < -B
        
        x - список входных значений
    """
    y = []
    for xi in x:
        if -B <= xi <= B:
            y.append(0)
        elif xi > B:
            y.append(xi - B)
        else:
            y.append(xi + B)
    return y
